﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace ConsoleFileBinarioInt
{
    class Program
    {

        static void GravaInteiro(BinaryWriter writer, int num)
        {

            writer.Write(num);
            for (int i = 65; i < 65+25; i++)
            {
                writer.Write(i);
            }


        }

        static void GravaInteiroTexto(StreamWriter writer, int num)
        {

            writer.Write(num);
            for (int i = 65; i < 65 + 26; i++)
            {
                writer.Write(i);
            }


        }

        static void LeInteiroTexto(StreamReader reader, out int num)
        {

            num = int.Parse(reader.ReadLine());

            for (int i = 0; i < num; i++)
            {
                Console.WriteLine(reader.ReadLine());
            }




        }

        static void LeInteiro(BinaryReader reader, out int num)
        {

            num = reader.ReadInt32();

            for (int i = 0; i < num; i++)
            {
                Console.WriteLine(reader.ReadInt32());
            }




        }

        static void LeInteiro16(BinaryReader reader, out int num)
        {

            num = reader.ReadInt32()*2;

            for (int i = 0; i < num; i++)
            {
                Console.WriteLine(reader.ReadInt16());
            }




        }

        static void LeByte(BinaryReader reader, out int num)
        {

            num = reader.ReadInt32() * 4;

            for (int i = 0; i < num; i++)
            {
                Console.WriteLine(reader.ReadByte());
            }

        }

        static void TestaTexto()
        {
            Stream arq = new FileStream(@"c:\inteiros.txt", FileMode.Create);

            StreamWriter writer = new StreamWriter(arq);

            GravaInteiroTexto(writer, 26);
            writer.Close();

            arq.Close();

            int num;

            FileStream arq2 = new FileStream(@"c:\inteiros.txt", FileMode.Open);

            StreamReader reader = new StreamReader(arq2);

            //LeInteiro(reader, out num);

            //LeInteiro16(reader, out num);
            //LeByte(reader, out num);
            LeInteiroTexto(reader, out num);

            Console.WriteLine("num={0}", num);
            reader.Close();

            arq2.Close();

        }

        static void Main(string[] args)
        {

            /*
            FileStream arq = new FileStream(@"c:\inteiros.bin", FileMode.Create);

            BinaryWriter writer = new BinaryWriter(arq);

            GravaInteiro(writer, 97);
            writer.Close();

            arq.Close();

            int num;

            FileStream arq2 = new FileStream(@"c:\inteiros.bin", FileMode.Open);

            BinaryReader reader = new BinaryReader(arq2);

            //LeInteiro(reader, out num);
            //LeInteiro16(reader, out num);
            LeByte(reader, out num);

            Console.WriteLine("num={0}", num);
            reader.Close();

            arq2.Close();
            */

            TestaTexto();

        }
    }
}
